## gimpfontselect

gimpfontselect

## Functions

void | (*GimpRunFontCallback) ()
const gchar * | gimp_font_select_new ()
void | gimp_font_select_destroy ()
gboolean | gimp_fonts_popup ()
gboolean | gimp_fonts_close_popup ()
gboolean | gimp_fonts_set_popup ()

## Description

## Functions

### GimpRunFontCallback ()

    void
    (*GimpRunFontCallback) (const gchar *font_name,
                            gboolean dialog_closing,
                            gpointer user_data);

### gimp_font_select_new ()

    const gchar *
    gimp_font_select_new (const gchar *title,
                          const gchar *font_name,
                          GimpRunFontCallback callback,
                          gpointer data);

### gimp_font_select_destroy ()

    void
    gimp_font_select_destroy (const gchar *font_callback);

### gimp_fonts_popup ()

    gboolean
    gimp_fonts_popup (const gchar *font_callback,
                      const gchar *popup_title,
                      const gchar *initial_font);

### gimp_fonts_close_popup ()

    gboolean
    gimp_fonts_close_popup (const gchar *font_callback);

### gimp_fonts_set_popup ()

    gboolean
    gimp_fonts_set_popup (const gchar *font_callback,
                          const gchar *font_name);

## Types and Values